Initiate Moderation-Assist

Use this API to initiate the asynchronous moderation assist process for Onsite Display (static) ad creatives.

📘

URL: POST /api/v1/creatives/{creativeId}/moderation-assist

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe UUID of the creativestringYA valid creative ID

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID

Headers

Header NameDescriptionRequiredValues
AuthorizationBearer token provides the access to the API. It is same for all advertisers you access through the API.YUse the auth_token that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide.
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YUse the ConsumerId that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide.
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code to generate this value. For more information, see the Getting Started Guide.
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code to generate this value. For more information, see the Getting Started Guide.

Sample Request

curl -X POST \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/abcde-12345/moderation-assist' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --header 'WM_CONSUMER.ID: <consumer id>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: <token>' \ --data '{ "advertiserId": 123 }'

Response

ElementDescriptionType
jobIdUUID of async jobstring
statusStatus.
Values of status:PENDING, COMPLETED, FAILED
string
createdAtThe date of creationdate-time

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codecode returns failure in error scenariosNstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.NarrayRefer to this link for detailed error messages
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors Array Object Details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response - Success

{ "jobId": "11111111-aaaa-aaaa-aaaa-111111111111", "status": "PENDING", "createdAt": "2026-02-05T22:08:08Z"
}

Sample Response - Failure (When advertiserId is invalid in request)

{ "code": "failure", "errors": [ { "field": "advertiserId", "errorType": "INVALID_ADVERTISER_ID", "description": "`advertiserId` is invalid, non-numeric, or does not identify an accessible advertiser. Provide a positive integer `advertiserId` for an advertiser available to the caller and retry." } ], "details": [ "INVALID_ADVERTISER_ID" ]
}

Did this page help you?